# -*- RPM-SPEC -*-
Summary: A graphical interface for configuring the boot loader
Name: redhat-config-boot
Version: 0.1.6
Release: 1
URL: http://fedora.redhat.com/
License: GPL
ExclusiveOS: Linux
Group: Applications/System 
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Source0: %{name}-%{version}.tar.gz
Requires: pygtk2
Requires: python2
Requires: usermode >= 1.36
Requires: rhpl >= 0.6
ExclusiveArch: i386 x86_64

%description
redhat-config-boot is a graphical user interface that allows 
the user to change the default boot entry of the system.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
%configure
%build
make

%install
%makeinstall

mkdir $RPM_BUILD_ROOT%{_datadir}/applications
for i in %{name}.desktop; do \
  desktop-file-install --vendor redhat --delete-original       \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
    --add-category X-Red-Hat-Base                             \
    $i; \
done;


%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
#%doc COPYING
/usr/bin/redhat-config-boot
/usr/sbin/redhat-config-boot
%dir /usr/share/redhat-config-boot
/usr/share/redhat-config-boot/*
%dir /usr/share/firstboot/
%dir /usr/share/firstboot/modules
/usr/share/firstboot/modules/boot_gui.py*
/usr/share/pixmaps/*.png
%attr(0644,root,root) %{_datadir}/applications/*
%attr(0644,root,root) %config /etc/security/console.apps/redhat-config-boot
%attr(0644,root,root) %config /etc/pam.d/redhat-config-boot

%changelog
* Thu Oct 30 2003 Harald Hoyer <harald@redhat.de> 0.1.6-1
- fixed #106796
- added exception handling

* Mon Oct 27 2003 Harald Hoyer <harald@redhat.de> 0.1.5-1
- fixed conf loading (#106796)
- i18n update

* Tue Oct 14 2003 Harald Hoyer <harald@redhat.de> 0.1.4-1
- autofooed and intltoolized r-c-boot

* Wed Oct  8 2003 Harald Hoyer <harald@redhat.de> 0.1.3-1
- added po files

* Wed Oct  2 2003 Harald Hoyer <harald@redhat.de> 0.1.2-1
- fixed desktop file

* Fri Aug 22 2003 Harald Hoyer <harald@redhat.de> 0.1.1-1
- first version

